Subject: bug#22893: 25.1.50; dired-get-marked-files get all marked

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 25 Jun 2019 16:07:38 +0200

Tino Calancha <[email-masked]> writes:

>> Since you are changing the function signatures anyway,
>> you could make them consistent between `dired-map-over-marks'
>> and `dired-get-marked-files' by adding an explicit arg `marker-char',
>> i.e. both `dired-get-marked-files' and `dired-map-over-marks'
>> could end with "distinguish-one-marked marker-char all-marks",
>> thus explicitly passing `marker-char' arg down the call chain.
>> Then you'll need `(or marker-char dired-marker-char)' in
>> `dired-marker-regexp' for backward-compatibility.  And then also
>> no need to let-bind `dired-marker-char' in `dired-get-marked-files'
>> (it's better to avoid dynamically binding global variables where possible).
>
> It sounds good. Thank you. Implemented in the new patch.

I think the consensus was to apply the patch, but it was never done at
the time, and now it won't apply since this code has changed
substantially in the meantime.

Would it be possible for you to rework the patch and resubmit?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no